Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.dom
Class PSVIElementNSImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.xerces.dom.ElementNSImpl
                                    |
                                    +--weblogic.apache.xerces.dom.PSVIElementNSImpl

public class PSVIElementNSImpl
extends ElementNSImpl
implements ElementPSVI

Element namespace implementation; stores PSVI element items.

See Also:
  Serialized Form

Field Summary
`protected weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration` | `fDeclaration` element declaration
`protected weblogic.apache.xerces.impl.xs.psvi.StringList` | `fErrorCodes` error codes
`protected weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition` | `fMemberType` member type definition against which element was validated
`protected boolean` | `fNil` true if clause 3.2 of Element Locally Valid (Element) (3.3.4) is satisfied, otherwise false
`protected java.lang.String` | `fNormalizedValue` schema normalized value property
`protected weblogic.apache.xerces.impl.xs.psvi.XSNotationDeclaration` | `fNotation` http://www.w3.org/TR/xmlschema-1/#e-notation
`protected weblogic.apache.xerces.impl.xs.psvi.XSModel` | `fSchemaInformation` the schema information property
`protected boolean` | `fSpecified` false if the element value was provided by the schema; true otherwise.
`protected weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition` | `fTypeDecl` type of element, could be xsi:type
`protected short` | `fValidationAttempted` validation attempted: none, partial, full
`protected java.lang.String` | `fValidationContext` validation context: could be QName or XPath expression
`protected short` | `fValidity` validity: valid, invalid, unknown

Fields inherited from class weblogic.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Constructor Summary
`PSVIElementNSImpl(CoreDocumentImpl ownerDocument, java.lang.String namespaceURI, java.lang.String qualifiedName)` Construct an element node.
`PSVIElementNSImpl(CoreDocumentImpl ownerDocument, java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String localName)` Construct an element node.

Method Summary
`java.lang.Object` | `getActualValue()` [actual value]
`weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration` | `getElementDeclaration()` An item isomorphic to the element declaration used to validate this element.
`weblogic.apache.xerces.impl.xs.psvi.StringList` | `getErrorCodes()` A list of error codes generated from validation attempts.
`boolean` | `getIsNil()` [nil]
`boolean` | `getIsSchemaSpecified()` [schema specified]
`weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition` | `getMemberTypeDefinition()` If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.
`weblogic.apache.xerces.impl.xs.psvi.XSObjectList` | `getMemberTypes()`
`weblogic.apache.xerces.impl.xs.psvi.XSNotationDeclaration` | `getNotation()` [notation]
`java.lang.String` | `getSchemaDefault()` [schema default]
`weblogic.apache.xerces.impl.xs.psvi.XSModel` | `getSchemaInformation()` [schema information]
`java.lang.String` | `getSchemaNormalizedValue()` [schema normalized value]
`weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition` | `getTypeDefinition()` An item isomorphic to the type definition used to validate this element.
`short` | `getValidationAttempted()` Determines the extent to which the document has been validated
`java.lang.String` | `getValidationContext()`
`short` | `getValidity()` Determine the validity of the node with respect to the validation being attempted
`void` | `setPSVI(ElementPSVI elem)` Copy PSVI properties from another psvi item.

Methods inherited from class weblogic.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, setPrefix, setValues`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttributeNode, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getInterface, getNodeValue, getReadOnly, getUserData, getUserData, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fDeclaration

    protected weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration fDeclaration

  element declaration

### fTypeDecl

    protected weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition fTypeDecl

  type of element, could be xsi:type

### fNil

    protected boolean fNil

  true if clause 3.2 of Element Locally Valid (Element) (3.3.4) is satisfied, otherwise false

### fSpecified

    protected boolean fSpecified

  false if the element value was provided by the schema; true otherwise.

### fNormalizedValue

    protected java.lang.String fNormalizedValue

  schema normalized value property

### fNotation

    protected weblogic.apache.xerces.impl.xs.psvi.XSNotationDeclaration fNotation

  http://www.w3.org/TR/xmlschema-1/#e-notation

### fMemberType

    protected weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition fMemberType

  member type definition against which element was validated

### fValidationAttempted

    protected short fValidationAttempted

  validation attempted: none, partial, full

### fValidity

    protected short fValidity

  validity: valid, invalid, unknown

### fErrorCodes

    protected weblogic.apache.xerces.impl.xs.psvi.StringList fErrorCodes

  error codes

### fValidationContext

    protected java.lang.String fValidationContext

  validation context: could be QName or XPath expression

### fSchemaInformation

    protected weblogic.apache.xerces.impl.xs.psvi.XSModel fSchemaInformation

  the schema information property

Constructor Detail

### PSVIElementNSImpl

    public PSVIElementNSImpl(CoreDocumentImpl ownerDocument,
                             java.lang.String namespaceURI,
                             java.lang.String qualifiedName,
                             java.lang.String localName)

  Construct an element node.

### PSVIElementNSImpl

    public PSVIElementNSImpl(CoreDocumentImpl ownerDocument,
                             java.lang.String namespaceURI,
                             java.lang.String qualifiedName)

  Construct an element node.

Method Detail

### getSchemaDefault

    public java.lang.String getSchemaDefault()

  [schema default]

  Returns:
    The canonical lexical representation of the declaration's {value constraint} value.
  See Also:

    ### getSchemaNormalizedValue

        public java.lang.String getSchemaNormalizedValue()

      [schema normalized value]

      Returns:
        the normalized value of this item after validation
      See Also:

        ### getActualValue

            public java.lang.Object getActualValue()

          [actual value]

          Returns:
            the binary value of this item after validation

        ### getIsSchemaSpecified

            public boolean getIsSchemaSpecified()

          [schema specified]

          Returns:
            false value was specified in schema, true value comes from the infoset
          See Also:
            XML Schema Part 1: Structures [schema specified]

        ### getValidationAttempted

            public short getValidationAttempted()

          Determines the extent to which the document has been validated

          Returns:
            return the [validation attempted] property. The possible values are NO_VALIDATION, PARTIAL_VALIDATION and FULL_VALIDATION

        ### getValidity

            public short getValidity()

          Determine the validity of the node with respect to the validation being attempted

          Returns:
            return the [validity] property. Possible values are: UNKNOWN_VALIDITY, INVALID_VALIDITY, VALID_VALIDITY

        ### getErrorCodes

            public weblogic.apache.xerces.impl.xs.psvi.StringList getErrorCodes()

          A list of error codes generated from validation attempts. Need to find all the possible subclause reports that need reporting

          Returns:
            Array of error codes

        ### getValidationContext

            public java.lang.String getValidationContext()

        ### getIsNil

            public boolean getIsNil()

          [nil]

          Returns:
            true if clause 3.2 of Element Locally Valid (Element) (3.3.4) above is satisfied, otherwise false
          See Also:

            ### getNotation

                public weblogic.apache.xerces.impl.xs.psvi.XSNotationDeclaration getNotation()

              [notation]
              Specified by:
                getNotation in interface ElementPSVI

              Returns:
                The notation declaration.
              See Also:

                ### getTypeDefinition

                    public weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition getTypeDefinition()

                  An item isomorphic to the type definition used to validate this element.

                  Returns:
                    a type declaration

                ### getMemberTypes

                    public weblogic.apache.xerces.impl.xs.psvi.XSObjectList getMemberTypes()

                ### getMemberTypeDefinition

                    public weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition getMemberTypeDefinition()

                  If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.

                  Returns:
                    a simple type declaration

                ### getElementDeclaration

                    public weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration getElementDeclaration()

                  An item isomorphic to the element declaration used to validate this element.
                  Specified by:
                    getElementDeclaration in interface ElementPSVI

                  Returns:
                    an element declaration

                ### getSchemaInformation

                    public weblogic.apache.xerces.impl.xs.psvi.XSModel getSchemaInformation()

                  [schema information]
                  Specified by:
                    getSchemaInformation in interface ElementPSVI

                  Returns:
                    The schema information property if it's the validation root, null otherwise.
                  See Also:
                    XML Schema Part 1: Structures [schema information]

                ### setPSVI

                    public void setPSVI(ElementPSVI elem)

                  Copy PSVI properties from another psvi item.

                  Parameters:
                    `attr` - the source of attribute PSVI items

                Overview | Package | Class | Use | Tree | Deprecated | Index | Help
                | Documentation is available at http://e-docs.bea.com/wls/docs81
                PREV CLASS NEXT CLASS | FRAMES NO FRAMES
                SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD